> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Catalog

> Public plan catalog — the single source of truth for app + marketing.



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /billing/catalog
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /billing/catalog:
    get:
      tags:
        - billing
      summary: Get Billing Catalog
      description: Public plan catalog — the single source of truth for app + marketing.
      operationId: get_billing_catalog_billing_catalog_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingCatalogResponse'
components:
  schemas:
    BillingCatalogResponse:
      properties:
        plans:
          items:
            $ref: '#/components/schemas/PlanCatalogEntry'
          type: array
          title: Plans
        annual_discount_percent:
          type: integer
          title: Annual Discount Percent
        top_up_options_usd:
          items:
            type: integer
          type: array
          title: Top Up Options Usd
      type: object
      required:
        - plans
        - annual_discount_percent
        - top_up_options_usd
      title: BillingCatalogResponse
    PlanCatalogEntry:
      properties:
        tier:
          type: string
          title: Tier
        display_name:
          type: string
          title: Display Name
        seat_price_usd:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seat Price Usd
        ai_allowance_usd:
          type: number
          title: Ai Allowance Usd
        compute_allowance_usd:
          type: number
          title: Compute Allowance Usd
        member_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Member Limit
        viewer_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Viewer Limit
        self_serve:
          type: boolean
          title: Self Serve
      type: object
      required:
        - tier
        - display_name
        - seat_price_usd
        - ai_allowance_usd
        - compute_allowance_usd
        - member_limit
        - viewer_limit
        - self_serve
      title: PlanCatalogEntry

````